<template>

    <v-container grid-list-md>
        <v-layout row wrap align-center>

            <v-flex xs12 md8>
                <p>{{ question }}</p>
            </v-flex>

            <v-flex xs12 md4>
                <v-slider
                        :value="value"
                        :tick-labels="labels"
                        always-dirty
                        min="0"
                        max="4"
                        thumb-label
                        thumb-label-size="120"
                        ticks="always"
                        color="grey"
                        track-color="grey"
                        thumb-color="blue"
                        :hint="hint()"
                        persistent-hint
                        @input="onInput"
                >
                    <template v-slot:thumb-label="props">
                        <span>{{ label(props.value) }}</span>
                    </template>
                </v-slider>
            </v-flex>
        </v-layout>
    </v-container>
</template>

<script lang="ts">

    export default {
        props: ['value', 'question'],
        data: () => ({
            labels: ['1', '2', '3', '4', '5'],
            labelText: [
                'trifft nicht zu',
                'trifft eher nicht zu',
                'trifft manchmal zu',
                'trifft eher zu',
                'trifft zu'
            ]
        }),
        methods: {
            hint() {
                return this.labelText[this.value];
            },

            label(value) {
                return this.labels[value];
            },

            onInput(newValue) {
                this.$emit('input', newValue);
            }
        }
    }

</script>

<style scoped>

</style>